Health Check
curl --request GET \
--url https://sandbox-api.caurisflux.com/api/v1/health \
--header 'X-API-Key: <api-key>'import requests
url = "https://sandbox-api.caurisflux.com/api/v1/health"
headers = {"X-API-Key": "<api-key>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {'X-API-Key': '<api-key>'}};
fetch('https://sandbox-api.caurisflux.com/api/v1/health', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
Référence API
Health Check
Vérifier l état de l API
GET
/
health
Health Check
Vérifie que l’API CaurisFlux est opérationnelle.
Cet endpoint ne nécessite pas d’authentification.
Requête
curl https://sandbox-api.caurisflux.com/api/v1/health
Réponse
{
"status": "ok",
"timestamp": "2024-01-15T12:00:00.000Z"
}
Codes de statut
| Code | Description |
|---|---|
200 | API opérationnelle |
503 | Service indisponible |
Utilisation
Utilisez cet endpoint pour :- Monitorer la disponibilité de l’API
- Vérifier la connectivité avant d’envoyer des requêtes
- Intégrer dans vos systèmes de surveillance
⌘I